<?php
class FloodBlockerC
{

    public function __construct($m, $userip, $tiembr = 5, $timenrb = 20, $keep_se = 30)
    {
         $this->m       = $m;
         $this->userip  = $userip;     // ip guest
         $this->tiembr  = $tiembr;     // Seconds between request
         $this->timenrb = $timenrb;    // max number of request to block ip
         $this->keep_se = $keep_se;    // Seconds remember request
    }


    // stop page if if block
    public function block_ip()
    {
         $results = $this->m->scr('select * from block_ip where ip_guest="'.$this->userip.'" limit 1');
         if($results != 0)
         {
              exit;
         }
    }

    // stop flood
    public function request()
    {
         $results = $this->m->sr('select * from flood_protection where ip_guest="'.$this->userip.'" limit 1');

         if($results != NULL)
         {
              $is_request_flood = false;
              $query            = NULL;
              if($results['last_request'] >= time() - $this->tiembr)
              {
                   $is_request_flood = true;
                   $query = 'num_request=num_request+1,';
              }
              elseif($results['num_request'] != 0)
              {
                   $query = 'num_request=0,';
              }

              if(($this->timenrb-$results['num_request']) == 0)
              {
                   $this->m->q('insert into block_ip SET ip_guest="'.$this->userip.'"');
                   exit;
              }


              $this->m->q('update flood_protection SET '.$query.' last_request="'.time().'" where ip_guest="'.$this->userip.'"');

              if($is_request_flood)
              {
                   $this->stop_page();
              }
         }
         else
         {
              $this->m->q('insert into flood_protection SET ip_guest="'.$this->userip.'", last_request="'.time().'", num_request=0');
         }

         $this->m->q('delete from flood_protection where last_request <= "'.(time()-$this->keep_se).'"');

    }

    // exit page
    public function stop_page()
    {
         exit('<center>Request block, Please wait a few seconds between requests. This is to stop flooding of our server.</center>');
    }
}
?>