<?php
class GoogleUrlsC
{

     public function topicsUrls($domain, $text_search, $num, $last_time = 'any')
     {
          $text_search = str_replace(' ', '+', $text_search);
          $last_time   = '&tbs=qdr:'.$last_time;

          $code_html = '';
          for($i = 0; $i <= $num; $i++)
          {
               $code_html .= file_get_contents('https://www.google.'.$domain.'/search?q='.$text_search.'&start='.($i*10).$last_time);
          }
          return $code_html;
     }

     public function topicTitle($html)
     {
          preg_match('!<h3 class="r"><a href=".*?">(.*?)</a></h3>!s', $html, $title);
          return strip_tags($title[1]);
     }

     public function topicUrl($html)
     {
          preg_match('!<h3 class="r"><a href="(.*?)">.*?</a></h3>!s', $html, $url);
          $url = explode('&', $url[1]);
          $url = str_replace('/url?q=', '', $url[0]);
          return urldecode($url);
     }

     public function topicDescr($html)
     {
          preg_match('!<span class="st".*?>(.*?)</span>!s', $html, $descr);
          return strip_tags($descr[1]);
     }

     public function imagesUrls($text_search)
     {
          $text_search =str_replace(' ', '+', $text_search);
          $url  = 'http://ajax.googleapis.com/ajax/services/search/images?v=1.0&q='.urlencode($text_search);
          $curl = curl_init();
          curl_setopt($curl, CURLOPT_URL, $url);
          curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1);
          $data = curl_exec($curl);
          curl_close($curl);
          $images = json_decode($data, true);
          return $images['responseData']['results'];
     }

     public function findTheMostCommonOperations($state)
     {
          switch ($state)
          {
               case 'Saudi Arabia':
                    $p = 36;
               break;
               case 'Argentina':
                    $p = 30;
               break;
               case 'Australia':
                    $p = 8;
               break;
               case 'Austria':
                    $p = 44;
               break;
               case 'Belgium':
                    $p = 41;
               break;
               case 'Brazil':
                    $p = 18;
               break;
               case 'Canada':
                    $p = 13;
               break;
               case 'Chile':
                    $p = 38;
               break;
               case 'Colombia':
                    $p = 32;
               break;
               case 'Czech Republic':
                    $p = 43;
               break;
               case 'Denmark':
                    $p = 49;
               break;
               case 'Egypt':
                    $p = 29;
               break;
               case 'Finland':
                    $p = 50;
               break;
               case 'France':
                    $p = 16;
               break;
               case 'Germany':
                    $p = 15;
               break;
               case 'Greece':
                    $p = 48;
               break;
               case 'Hong Kong':
                    $p = 10;
               break;
               case 'Hungary':
                    $p = 45;
               break;
               case 'India':
                    $p = 3;
               break;
               case 'Indonesia':
                    $p = 19;
               break;
               case 'Israel':
                    $p = 6;
               break;
               case 'Italy':
                    $p = 27;
               break;
               case 'Japan':
                    $p = 4;
               break;
               case 'Kenya':
                    $p = 37;
               break;
               case 'Malaysia':
                    $p = 34;
               break;
               case 'Mexico':
                    $p = 21;
               break;
               case 'Netherlands':
                    $p = 17;
               break;
               case 'Nigeria':
                    $p = 52;
               break;
               case 'Norway':
                    $p = 51;
               break;
               case 'Philippines':
                    $p = 25;
               break;
               case 'Poland':
                    $p = 31;
               break;
               case 'Portugal':
                    $p = 47;
               break;
               case 'Romania':
                    $p = 39;
               break;
               case 'Russia':
                    $p = 14;
               break;
               case 'Singapore':
                    $p = 5;
               break;
               case 'South Africa':
                    $p = 40;
               break;
               case 'South Korea':
                    $p = 23;
               break;
               case 'Spain':
                    $p = 26;
               break;
               case 'Sweden':
                    $p = 42;
               break;
               case 'Switzerland':
                    $p = 46;
               break;
               case 'Taiwan':
                    $p = 12;
               break;
               case 'Thailand':
                    $p = 33;
               break;
               case 'Turkey':
                    $p = 24;
               break;
               case 'Ukraine':
                    $p = 35;
               break;
               case 'United Kingdom':
                    $p = 9;
               break;
               default:
                    $p = 1;
          }


          $data = simplexml_load_file('http://www.google.com/trends/hottrends/atom/feed?pn=p'.$p);
          return $data;
     }

}
?>