<?php
class mywidgets
{
     // run class security.php
     public function runSecurity()
     {
          require_once DIR_FILES_CLASS.'security.php';
          $this->security = new SecurityC();
     }

     // run class functions.php
     public function runFunctions()
     {
          require_once DIR_FILES_CLASS.'functions.php';
          $this->functions = new FunctionsC();
     }

     // run class flood_blocker.php
     public function runFloodBlocker()
     {
          require_once DIR_FILES_CLASS.'flood_blocker.php';
          $this->floodBlocker = new FloodBlockerC($this->m, $this->functions->getClientIP());
     }

     // run class google_urls.php
     public function runGoogleUrls()
     {
          require_once DIR_FILES_CLASS.'google_urls.php';
          $this->googleUrls = new GoogleUrlsC();
     }

     // run class shorten_urls.php
     public function runShortenUrls()
     {
          require_once DIR_FILES_CLASS.'shorten_urls.php';
          $this->shortenUrls = new ShortenUrlsApiC();
     }


     // include files html
     public function includeHtml($files)
     {
          if(is_array($files))
          {
               foreach ($files as $file)
               {
                    require_once DIR_FILES_HTML.$file.TYPE_FILES_HTML;
               }
          }
          else
          {
               require_once DIR_FILES_HTML.$files.TYPE_FILES_HTML;
          }
     }
}
?>